Package org.apache.qpid.proton.codec.transport

# Class TransferType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<Transfer,List>
org.apache.qpid.proton.codec.transport.TransferType

All Implemented Interfaces:
  `AMQPType<Transfer>`, `DescribedTypeConstructor<Transfer>`

public final class TransferType extends AbstractDescribedType<Transfer,List> implements DescribedTypeConstructor<Transfer>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TransferType.TransferWrapper`

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<Transfer>`
`getTypeClass()`
`Transfer`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected List`
`wrap(Transfer val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<Transfer,List>`

### wrap

protected List wrap(Transfer val)

Specified by:
  `wrap` in class `AbstractDescribedType<Transfer,List>`

### newInstance

public Transfer newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<Transfer>`

### getTypeClass

public Class<Transfer> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Transfer>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<Transfer>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)